Subject: Re: [Hipsec] RFC5204-bis open issues?

From: Julien Laganier <[email-masked]>
Date: Thu, 8 Jan 2015 19:19:21 -0800

On Sat, Dec 27, 2014 at 10:49 AM, Miika Komu <[email-masked]> wrote:
> Hi Tom,
>
> On 12/16/2014 05:31 PM, Tom Henderson wrote:
>>
>> I noticed that the draft for RFC5204-bis (rendezvous extension) was
>> recently refreshed, and was wondering what the remaining open issues are
>> for this draft?
>>
>> I know of only one, which is a longstanding question of whether we want
>> to cover RVS relaying of UPDATE messages in this specification.
>>
>> https://tools.ietf.org/wg/hip/trac/ticket/1
>>
>> Some choices appear to be:
>>
>> * do not support double jump in these specifications, leaving it for
>> further study
>> * add specification in RFC5204-bis that refers to UPDATE relaying
>> * add specification in RFC5206-bis that refers to UPDATE relaying
>
>
> I suggest the third option (unless Julien wants to write it in RFC5204).
> Besides UPDATE relaying, we need also some text for the other side, i.e.,
> the registered host moves and updates its registration.

I also think the third option is the best. The relaying of UPDATEs
messages is not required for a non-mobile host so RFC5204bis doesn't
sound right since it documents a generic rendezvous mechanism that can
be applied to a non-mobile host. On the other hand RFC5206bis is
specifically concerned with host mobility so that seem to be a good
place to add the extra bits of specification.

--julien